• Resolved bekind

    (@pkverma99)


    Dear Support – Thank you for this wonderful plugin! It continues to help us manage our 60+ plugins and still ensure that our site performs well.

    I wanted to share that I found a conflict that is happening with Learndash LMS & FDP. Learndash LMS allows us to add Courses & Lessons. These courses & lessons pages have “settings” tab which is used for Learndash course & lesson settings.

    This tab does not show if FDP is active. If I deactivate FDP then the tab shows up & works fine. Given below are two screenshots:
    1. With FDP Deactivated – Here is the screenshot
    2. With FDP Activated – Here is the screenshot

    As you can see that the tab content disappears with FDP activated. I did update FDP to the latest version, thinking that this issue may be fixed with the latest version but it still is giving the same result.

Viewing 9 replies - 1 through 9 (of 9 total)
  • Plugin Author Jose

    (@giuse)

    Hi @pkverma99

    thanks to you for finding the conflict!

    I suggest look for JS and PHP errors.

    To look for JS errors:
    – Go to the backend page where you have the problem
    – Right-click => Inspect Elements => Console
    – If you see red errors please share a screenshot

    To look for PHP errors
    – Open the file wp-config.php that you have in the WP main folder
    – Enable the debugging with these lines of code before the comment /* That’s all, stop editing! Happy blogging. */

    If it’s the live site:

    define('WP_DEBUG', true);
    define( 'WP_DEBUG_LOG', true );
    define('WP_DEBUG_DISPLAY', false);

    In this case, you will find the PHP errors in the file wp-content/debug.log after visiting the page that gives you a problem

    If it’s a staging environment:

    define('WP_DEBUG', true);
    define( 'WP_DEBUG_LOG', true );
    define('WP_DEBUG_DISPLAY', true );

    In this case, you will find the PHP errors in the file wp-content/debug.log after visiting the page that gives you a problem, but also directly on the screen

    Let me know if you find some errors

    Thread Starter bekind

    (@pkverma99)

    Thank you @giuse for the quick response. It took me sometime to revert back. I checked both of the things you had advised for:
    1. Javascript console – There are some warnings (in yellow background) but no errors (in red) in Javascript console.
    2. I turned on debugging. And the only errors that I got are given below. I dont think either of the two are an issue.
    ===============
    Warning: file_exists(): open_basedir restriction in effect. File(/www/[stripped_folder_name]/public/wp-content/plugins/wp-rocket/) is not within the allowed path(s): (/www/[stripped_folder_name]/public:/www/[stripped_folder_name]/mysqleditor:/www/[stripped_folder_name]/web:/www/[stripped_folder_name]/deploy:/www/[stripped_folder_name]/deployment:/www/[stripped_folder_name]/deployments:/usr/share:/tmp) in /www/[stripped_folder_name]/public/wp-content/advanced-cache.php on line 17

    Deprecated: Function create_function() is deprecated in /www/[stripped_folder_name]/public/wp-content/plugins/youtube-channel-gallery/youtube-channel-gallery.php on line 1223
    =========

    I do have a non production clone environment where I am able to reproduce this. If you want to take a look, kindly let me know.

    Regards

    Plugin Author Jose

    (@giuse)

    Hi @pkverma99

    thank you for the information.

    I also don’t think the PHP warnings are related to the issue.

    Maybe it’s better if you send me an email to info@josemortellaro.com

    Plugin Author Jose

    (@giuse)

    Hi @pkverma99 I haven’t received any email yet. Do you still need help?

    Thread Starter bekind

    (@pkverma99)

    Thank you @giuse for checking and kindly accept my apologies for the lack of response. Yes, I do need help on this ticket. However, I have run into problems creating an environment which I can provide to you for debugging/testing. I am still working on getting the same prepared. I expect to have a resolution by Monday and would drop a note to you.

    I should have dropped a note here though and my bad on that one.

    Thread Starter bekind

    (@pkverma99)

    Hi @giuse – The access has been provided on your email address.

    Regards

    Plugin Author Jose

    (@giuse)

    Hi @pkverma99 as you know the issue is fixed with the beta version 1.8.7.5, so I will close this thread.

    For the other users who use Learndash LMS, before the next official version it public, you can try the beta version 1.8.7.5 https://downloads.wordpress.org/plugin/freesoul-deactivate-plugins.1.8.7.5.zip

    Thread Starter bekind

    (@pkverma99)

    Thanks @giuse. Just wanted to say, that the level of support you provide is incredible. I work with many plugin authors & don’t see this level of commitment. Thank you for doing that.

    Plugin Author Jose

    (@giuse)

    Hi @pkverma99
    Many thanks to you for your nice words!

Viewing 9 replies - 1 through 9 (of 9 total)
  • The topic ‘Conflict with Learndash LMS’ is closed to new replies.